Subject: Re: linux-next: Tree for Jun 21

From: Peter Zijlstra <[email-masked]>
Date: Tue, 21 Jun 2016 19:29:18 +0200

On Tue, Jun 21, 2016 at 07:06:07PM +0200, Peter Zijlstra wrote:
> On Tue, Jun 21, 2016 at 11:26:19AM -0400, Chris Metcalf wrote:
> > This has been true since gcc 4.x when tilepro support was first added.
> > 
> > In any case if you replace the #include <asm/unistd.h> with
> > 
> > #define __NR_FAST_cmpxchg    -1
> > #define __NR_FAST_atomic_update    -2
> > #define __NR_FAST_cmpxchg64    -3
> > 
> > that should also probably fix it, though I haven't tested it.  It probably
> > wouldn't be crazy to just put those #defines directly in tilepro's atomic.h,
> > since it's not like those fast system call numbers will ever change.

OK, I seem to have a tilepro-linux-gcc-6.1.1 build done. Lets see if I
can build me a kernel with it.